set BITRATE=224000000
set PCR_PER_SEC=5
set PCR_DISTANCE=2000
set PCR_PID=5004

tsp -v --bitrate %BITRATE% --max-flushed-packets 70 ^
	-I null ^
	-P regulate --packet-burst 14 ^
	-P filter --every %PCR_DISTANCE% --set-label 1 ^
	-P craft --only-label 1 --pid %PCR_PID% --no-payload --pcr 0 ^
	-P continuity --pid %PCR_PID% --fix ^
	-P pcradjust --pid %PCR_PID% ^
	-P inject pat.xml --pid 0 --bitrate 2000 ^
	-P cat -c ^
	-P inject pmt.xml --pid 5000 --bitrate 2000 ^
	-P inject sdt.xml --pid 17 --bitrate 2000 ^
	-P inject tdt.xml --pid 0x14 --bitrate 2000 --stuffing ^
	-P timeref --system-synchronous ^
	-P mpeinject 6969 --pid 5003 --max-queue 8192 ^
	-P mpeinject 6970 --pid 5005 --max-queue 8192 ^
	-O file --max-size 1000000000 test.ts

pause